Debian Bug report logs - #673075
kmymoney: FTBFS[kfreebsd]: c++: error: unrecognized command line option '-Wl'

version graph

Package: src:kmymoney; Maintainer for src:kmymoney is Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Tue, 15 May 2012 21:09:02 UTC

Severity: serious

Tags: sid, wheezy

Found in versions kmymoney/4.6.2-1, kmymoney/4.6.2-2

Fixed in version kmymoney/4.6.2-3

Done: Scott Kitterman <scott@kitterman.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#673075; Package src:kmymoney. (Tue, 15 May 2012 21:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. (Tue, 15 May 2012 21:09:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: kmymoney: FTBFS[kfreebsd]: c++: error: unrecognized command line option '-Wl'
Date: Tue, 15 May 2012 23:07:31 +0200
Package: src:kmymoney
Version: 4.6.2-2
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

cd /build/buildd-kmymoney_4.6.2-2-kfreebsd-i386-khJ_oo/kmymoney-4.6.2/obj-i486-kfreebsd-gnu/libkdchart/src && /usr/bin/cmake -E cmake_link_script CMakeFiles/kmm_kdchart.dir/link.txt --verbose=1
/usr/bin/c++  -fPIC  -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -Werror=return-type -fvisibility-inlines-hidden -fexceptions -UQT_NO_EXCEPTIONS -fexceptions -UQT_NO_EXCEPTIONS -fPIC -fno-common -O2 -g -DNDEBUG -DQT_NO_DEBUG   -lc -Wl -shared -Wl,-soname,libkmm_kdchart.so.4 -o ../../lib/libkmm_kdchart.so.4.7.0 CMakeFiles/kmm_kdchart.dir/kmm_kdchart_automoc.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartAbstractArea.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartAbstractAreaBase.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartAbstractAreaWidget.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartAbstractAxis.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartAbstractCartesianDiagram.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartAbstractCoordinatePlane.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartAbstractDiagram.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartAbstractGrid.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartAbstractPieDiagram.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartAbstractPolarDiagram.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartAbstractProxyModel.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartAbstractThreeDAttributes.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartAttributesModel.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartBackgroundAttributes.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartBarAttributes.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartBarDiagram.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartBarDiagram_p.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartCartesianAxis.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartCartesianCoordinatePlane.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartCartesianDiagramDataCompressor_p.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartCartesianGrid.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartChart.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartDatasetProxyModel.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartDatasetSelector.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartDataValueAttributes.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartDiagramObserver.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartFrameAttributes.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartGridAttributes.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartHeaderFooter.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartLayoutItems.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartLegend.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartLineAttributes.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartLineDiagram.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartLineDiagram_p.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartMarkerAttributes.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartMeasure.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartModelDataCache_p.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartNormalBarDiagram_p.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartNormalLineDiagram_p.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartNormalLyingBarDiagram_p.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartNormalPlotter_p.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartPaintContext.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartPalette.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartPercentBarDiagram_p.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartPercentLineDiagram_p.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartPercentLyingBarDiagram_p.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartPercentPlotter_p.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartPieAttributes.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartPieDiagram.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartPlotter.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartPlotter_p.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartPolarCoordinatePlane.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartPolarDiagram.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartPolarGrid.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartPosition.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartPrintingParameters.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartRelativePosition.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartRingDiagram.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartRulerAttributes.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartSignalCompressor.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartStackedBarDiagram_p.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartStackedLineDiagram_p.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartStackedLyingBarDiagram_p.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartStockBarAttributes.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartStockDiagram.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartStockDiagram_p.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartTextArea.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartTextAttributes.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartThreeDBarAttributes.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartThreeDLineAttributes.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartThreeDPieAttributes.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartValueTrackerAttributes.cpp.o CMakeFiles/kmm_kdchart.dir/KDChartWidget.cpp.o CMakeFiles/kmm_kdchart.dir/KDTextDocument.cpp.o CMakeFiles/kmm_kdchart.dir/LeveyJennings/KDChartLeveyJenningsAxis.cpp.o CMakeFiles/kmm_kdchart.dir/LeveyJennings/KDChartLeveyJenningsCoordinatePlane.cpp.o CMakeFiles/kmm_kdchart.dir/LeveyJennings/KDChartLeveyJenningsDiagram.cpp.o CMakeFiles/kmm_kdchart.dir/LeveyJennings/KDChartLeveyJenningsDiagram_p.cpp.o CMakeFiles/kmm_kdchart.dir/LeveyJennings/KDChartLeveyJenningsGrid.cpp.o CMakeFiles/kmm_kdchart.dir/LeveyJennings/KDChartLeveyJenningsGridAttributes.cpp.o CMakeFiles/kmm_kdchart.dir/PrerenderedElements/KDChartTextLabelCache.cpp.o CMakeFiles/kmm_kdchart.dir/Scenery/ChartGraphicsItem.cpp.o CMakeFiles/kmm_kdchart.dir/Scenery/ReverseMapper.cpp.o CMakeFiles/kmm_kdchart.dir/Ternary/KDChartAbstractTernaryDiagram.cpp.o CMakeFiles/kmm_kdchart.dir/Ternary/KDChartTernaryAxis.cpp.o CMakeFiles/kmm_kdchart.dir/Ternary/KDChartTernaryCoordinatePlane.cpp.o CMakeFiles/kmm_kdchart.dir/Ternary/KDChartTernaryGrid.cpp.o CMakeFiles/kmm_kdchart.dir/Ternary/KDChartTernaryLineDiagram.cpp.o CMakeFiles/kmm_kdchart.dir/Ternary/KDChartTernaryPointDiagram.cpp.o CMakeFiles/kmm_kdchart.dir/Ternary/TernaryConstants.cpp.o CMakeFiles/kmm_kdchart.dir/Ternary/TernaryPoint.cpp.o CMakeFiles/kmm_kdchart.dir/moc_KDChartEnums.cxx.o /usr/lib/i386-kfreebsd-gnu/libQtSvg.so /usr/lib/i386-kfreebsd-gnu/libQtXml.so /usr/lib/i386-kfreebsd-gnu/libQtGui.so /usr/lib/i386-kfreebsd-gnu/libQtCore.so 
c++: error: unrecognized command line option '-Wl'
make[3]: *** [lib/libkmm_kdchart.so.4.7.0] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=kmymoney&arch=kfreebsd-i386&ver=4.6.2-2&stamp=1337058932

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Added tag(s) pending. Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Wed, 16 May 2012 22:00:08 GMT) Full text and rfc822 format available.

Marked as found in versions kmymoney/4.6.2-1. Request was from Scott Kitterman <scott@kitterman.com> to control@bugs.debian.org. (Thu, 17 May 2012 02:21:03 GMT) Full text and rfc822 format available.

Reply sent to Scott Kitterman <scott@kitterman.com>:
You have taken responsibility. (Fri, 18 May 2012 15:54:20 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Fri, 18 May 2012 15:54:20 GMT) Full text and rfc822 format available.

Message #14 received at 673075-close@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: 673075-close@bugs.debian.org
Subject: Bug#673075: fixed in kmymoney 4.6.2-3
Date: Fri, 18 May 2012 15:52:50 +0000
Source: kmymoney
Source-Version: 4.6.2-3

We believe that the bug you reported is fixed in the latest version of
kmymoney, which is due to be installed in the Debian FTP archive:

kmymoney-common_4.6.2-3_all.deb
  to main/k/kmymoney/kmymoney-common_4.6.2-3_all.deb
kmymoney-dbg_4.6.2-3_i386.deb
  to main/k/kmymoney/kmymoney-dbg_4.6.2-3_i386.deb
kmymoney-dev_4.6.2-3_i386.deb
  to main/k/kmymoney/kmymoney-dev_4.6.2-3_i386.deb
kmymoney_4.6.2-3.debian.tar.gz
  to main/k/kmymoney/kmymoney_4.6.2-3.debian.tar.gz
kmymoney_4.6.2-3.dsc
  to main/k/kmymoney/kmymoney_4.6.2-3.dsc
kmymoney_4.6.2-3_i386.deb
  to main/k/kmymoney/kmymoney_4.6.2-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673075@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Kitterman <scott@kitterman.com> (supplier of updated kmymoney package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 18 May 2012 10:51:07 -0400
Source: kmymoney
Binary: kmymoney kmymoney-common kmymoney-dev kmymoney-dbg
Architecture: source i386 all
Version: 4.6.2-3
Distribution: unstable
Urgency: low
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Changed-By: Scott Kitterman <scott@kitterman.com>
Description: 
 kmymoney   - personal finance manager for KDE
 kmymoney-common - KMyMoney architecture independent files
 kmymoney-dbg - KMymoney debugging symbols
 kmymoney-dev - KMyMoney development files
Closes: 662388 673075
Changes: 
 kmymoney (4.6.2-3) unstable; urgency=low
 .
   * Team upload
 .
   [ Pino Toscano ]
   * Add fix-link-flags.diff: fix/improve the link flags on non-Linux
     architectures. (Closes: #673075)
   * Switch the libpng12-dev build dependency to libpng-dev.
     (Closes: #662388)
   * Bump Standards-Version to 3.9.3, no changes required.
 .
   [ Felix Geyer ]
   * Fix Vcs-Browser link.
Checksums-Sha1: 
 0815597461334234abce094c2298922d16cab700 1833 kmymoney_4.6.2-3.dsc
 edc77659f69335bea727c4854ece587a9ce89461 11175 kmymoney_4.6.2-3.debian.tar.gz
 b4c0628be785fe0037d395555d0702029b8c1e26 3911854 kmymoney_4.6.2-3_i386.deb
 9de57a1d08543fad0e94a683517017abef91066d 21427102 kmymoney-common_4.6.2-3_all.deb
 f8fc449dae048fdeae522b9419e7d4d68ac11d88 232716 kmymoney-dev_4.6.2-3_i386.deb
 561f68004f86c55b2c95bbdf0f94107ecafb2b5e 34782134 kmymoney-dbg_4.6.2-3_i386.deb
Checksums-Sha256: 
 525dbe7c76d6da48255b3e4d320a4db13afa48963acd436016aa6d9eee28c566 1833 kmymoney_4.6.2-3.dsc
 09ef24d614f5702fa07845ffdf580bc743d829f8367d6c4b28dedb80ed39bd03 11175 kmymoney_4.6.2-3.debian.tar.gz
 8c0c7ec6b474e4d01948f2c7142b0bfda67a39146ab7424029b3cc13e3cefc95 3911854 kmymoney_4.6.2-3_i386.deb
 d1334f86a48afd2503b201045ef1bc83f313b3849e156c7cbe460a8fdc8a6a31 21427102 kmymoney-common_4.6.2-3_all.deb
 a14a2a8357da36e8eb85ca8687c00737bb16cb7426ea8c7d87ccbc6087adae79 232716 kmymoney-dev_4.6.2-3_i386.deb
 1b9349d8c62920c056aaa30483cf4d66afe06f1762818c3833d988ac30363203 34782134 kmymoney-dbg_4.6.2-3_i386.deb
Files: 
 b4fd9438ba7b6d59e1e12586cc1b8407 1833 kde optional kmymoney_4.6.2-3.dsc
 d68e412342bd1f6dfbebe8ef2812ac39 11175 kde optional kmymoney_4.6.2-3.debian.tar.gz
 3ff1e8eae442c412e9cda2055e1f8832 3911854 kde optional kmymoney_4.6.2-3_i386.deb
 e5053a0c84a2c49438c78fb4e6350e49 21427102 kde optional kmymoney-common_4.6.2-3_all.deb
 2d3becc9718898cc8ebfbcb620cc00da 232716 libdevel optional kmymoney-dev_4.6.2-3_i386.deb
 14adf5f04fb53fa30a1c5738efaf4047 34782134 debug extra kmymoney-dbg_4.6.2-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk+2Y78ACgkQHajaM93NaGq1WQCcD1d09rQRdTCJ+MTosTf289sU
AfoAniQzTSA2ho8Dsv9y/PKdTceBt0Pd
=tCoG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 18 Jul 2012 07:31:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 02:02:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.